## peewee 2.10.2%2Bdfsg

=== debian/changelog ===
peewee (2.10.2+dfsg-2) unstable; urgency=medium

  * Update copyright to include flask and mock.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 21 Dec 2017 15:57:29 +0100

peewee (2.10.2+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 29 Nov 2017 15:05:03 +0100

peewee (2.10.1+dfsg-1) unstable; urgency=low

  [ Adrian Vondendriesch ]
  * Initial package version. (Closes: #800584)

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 29 Nov 2017 14:53:13 +0100

## peewee 3.18.2+dfsg

=== docs/requirements.txt ===
docutils<0.18
sphinx-rtd-theme

## peewee 2.10.2+dfsg

=== debian/control ===
Source: peewee
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
Section: python
Priority: optional
Build-Depends: cython,
               cython3,
               debhelper (>= 9),
               dh-python,
               help2man,
               python-all-dev (>= 2.6.6-3),
               python-pytest,
               python3-all-dev,
               python3-pytest,
               python3-sphinx,
Standards-Version: 4.1.2
Homepage: http://github.com/coleifer/peewee/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/peewee.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/peewee.git

Package: python-peewee
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Recommends: python-psycopg2, python-mysqldb | python-pymysql, python-peewee-doc
Description: Simple ORM for PostgreSQL, MySQL and SQLite (Python 2)
 Peewee is a simple and small ORM. It has few (but expressive)
 concepts, making it easy to learn and intuitive to use.
 .
   * A small, expressive ORM
   * Written in python with support for versions 2.6+ and 3.2+.
   * built-in support for sqlite, mysql and postgresql numerous
     extensions available (postgres hstore/json/arrays, sqlite
     full-text-search, schema migrations, and much more).
 .
 This is the Python 2 package.

Package: python3-peewee
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Recommends: python3-psycopg2, python3-mysqldb | python3-pymysql, python-peewee-doc
Description: Simple ORM for PostgreSQL, MySQL and SQLite (Python 3)
 Peewee is a simple and small ORM. It has few (but expressive)
 concepts, making it easy to learn and intuitive to use.
 .
   * A small, expressive ORM
   * Written in python with support for versions 2.6+ and 3.2+.
   * built-in support for sqlite, mysql and postgresql numerous
     extensions available (postgres hstore/json/arrays, sqlite
     full-text-search, schema migrations, and much more).
 .
 This is the Python 3 package.

Package: peewee
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-peewee
Description: Command line Tools for python peewee (Python 3)
 Peewee is a simple and small ORM. It has few (but expressive)
 concepts, making it easy to learn and intuitive to use.
 .
   * A small, expressive ORM
   * Written in python with support for versions 2.6+ and 3.2+.
   * built-in support for sqlite, mysql and postgresql numerous
     extensions available (postgres hstore/json/arrays, sqlite
     full-text-search, schema migrations, and much more).

Package: python-peewee-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Documentation pyhton peewee simple ORM
 Peewee is a simple and small ORM. It has few (but expressive)
 concepts, making it easy to learn and intuitive to use.
 .
   * A small, expressive ORM
   * Written in python with support for versions 2.6+ and 3.2+.
   * built-in support for sqlite, mysql and postgresql numerous
     extensions available (postgres hstore/json/arrays, sqlite
     full-text-search, schema migrations, and much more).
 .
 This package contains HTML documentation for provided module.

=== debian/rules ===
#!/usr/bin/make -f

PYVERSIONS=$(shell pyversions -i)
PY3VERSIONS=$(shell py3versions -i)

export PYBUILD_NAME=peewee
%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -N -bhtml docs/ docs/build/html # HTML generator
	PYTHONPATH=. sphinx-build -N -bman docs/ docs/build/man # Manpage generator

override_dh_install:
	dh_install
	# Remove the python 2 binaries
	rm debian/python-peewee/usr/bin/pskel
	rm debian/python-peewee/usr/bin/pwiz.py

	mkdir -p debian/peewee/usr/bin/
	mv debian/python3-peewee/usr/bin/pwiz.py \
	   debian/peewee/usr/bin/pwiz
	mv debian/python3-peewee/usr/bin/pskel \
	   debian/peewee/usr/bin/pskel

override_dh_installman:
	mkdir -p debian/peewee/usr/share/man/man1/
	PYTHONPATH=. help2man --version-string $(DEB_VERSION_UPSTREAM) \
                --no-info \
                --name "pskel" \
                debian/peewee/usr/bin/pskel > \
                debian/peewee/usr/share/man/man1/pskel.1
	PYTHONPATH=. help2man --version-string $(DEB_VERSION_UPSTREAM) \
                --no-info \
                --name "pskel" \
                debian/peewee/usr/bin/pwiz > \
                debian/peewee/usr/share/man/man1/pwiz.1
	cp docs/build/man/peewee.1 debian/peewee/usr/share/man/man1/

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	for py in $(PYVERSIONS) $(PY3VERSIONS); do \
		PYTHONPATH=. $$py -m pytest ./tests.py; \
	done
endif

=== debian/watch ===
# please also check http://pypi.debian.net/peewee/watch
version=3
opts=dversionmangle=s/\+dfsg$//,repacksuffix=+dfsg \
  https://github.com/coleifer/peewee/releases .*/v?(\d\S+)\.tar\.gz

## peewee 3.7.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -3,36 +3,19 @@
 Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
 Section: python
 Priority: optional
-Build-Depends: cython,
-               cython3,
-               debhelper (>= 9),
+Build-Depends: cython3,
+               debhelper-compat (= 9),
                dh-python,
+               libsqlite3-dev,
                help2man,
-               python-all-dev (>= 2.6.6-3),
-               python-pytest,
                python3-all-dev,
                python3-pytest,
+               python3-setuptools,
                python3-sphinx,
-Standards-Version: 4.1.2
-Homepage: http://github.com/coleifer/peewee/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/peewee.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/peewee.git
-
-Package: python-peewee
-Architecture: any
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
-Recommends: python-psycopg2, python-mysqldb | python-pymysql, python-peewee-doc
-Description: Simple ORM for PostgreSQL, MySQL and SQLite (Python 2)
- Peewee is a simple and small ORM. It has few (but expressive)
- concepts, making it easy to learn and intuitive to use.
- .
-   * A small, expressive ORM
-   * Written in python with support for versions 2.6+ and 3.2+.
-   * built-in support for sqlite, mysql and postgresql numerous
-     extensions available (postgres hstore/json/arrays, sqlite
-     full-text-search, schema migrations, and much more).
- .
- This is the Python 2 package.
+Standards-Version: 4.2.0
+Homepage: https://github.com/coleifer/peewee/
+Vcs-Git: https://salsa.debian.org/python-team/modules/peewee.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/peewee
 
 Package: python3-peewee
 Architecture: any
@@ -65,6 +48,7 @@
 
 Package: python-peewee-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: Documentation pyhton peewee simple ORM

## peewee 3.7.0+dfsg

=== debian/changelog ===
peewee (3.7.0+dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Christoph Berg ]
  * New upstream version, compatible with python3.7. (Closes: #906701)
  * Mark python-peewee-doc as Multi-Arch: foreign.
  * Build-depend on libsqlite3-dev and python(3)-setuptools.
  * debian/source/options: Ignore playhouse/_.*.c, generated even at clean
    time.
  * The pskel utility has been removed upstream.
  * Drop dh_auto_test override, the default works, and ./tests.py has been
    removed.
  * Include pkg-info.mk to fix html2man incantation.

 -- Christoph Berg <myon@debian.org>  Sat, 29 Sep 2018 14:10:01 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,15 @@
 Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
 Section: python
 Priority: optional
-Build-Depends: cython3,
-               debhelper-compat (= 9),
+Build-Depends: cython,
+               cython3,
+               debhelper (>= 9),
                dh-python,
                libsqlite3-dev,
                help2man,
+               python-all-dev (>= 2.6.6-3),
+               python-pytest,
+               python-setuptools,
                python3-all-dev,
                python3-pytest,
                python3-setuptools,
@@ -16,6 +20,22 @@
 Homepage: https://github.com/coleifer/peewee/
 Vcs-Git: https://salsa.debian.org/python-team/modules/peewee.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/peewee
+
+Package: python-peewee
+Architecture: any
+Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
+Recommends: python-psycopg2, python-mysqldb | python-pymysql, python-peewee-doc
+Description: Simple ORM for PostgreSQL, MySQL and SQLite (Python 2)
+ Peewee is a simple and small ORM. It has few (but expressive)
+ concepts, making it easy to learn and intuitive to use.
+ .
+   * A small, expressive ORM
+   * Written in python with support for versions 2.6+ and 3.2+.
+   * built-in support for sqlite, mysql and postgresql numerous
+     extensions available (postgres hstore/json/arrays, sqlite
+     full-text-search, schema migrations, and much more).
+ .
+ This is the Python 2 package.
 
 Package: python3-peewee
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

PYVERSIONS=$(shell pyversions -i)
PY3VERSIONS=$(shell py3versions -i)

export PYBUILD_NAME=peewee
%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/ docs/build/html # HTML generator
	PYTHONPATH=. python3 -m sphinx -N -bman docs/ docs/build/man # Manpage generator

override_dh_install:
	dh_install
	# Remove the python 2 binaries
	rm debian/python-peewee/usr/bin/pwiz.py

	mkdir -p debian/peewee/usr/bin/
	mv debian/python3-peewee/usr/bin/pwiz.py \
	   debian/peewee/usr/bin/pwiz

override_dh_installman:
	mkdir -p debian/peewee/usr/share/man/man1/
	PYTHONPATH=. help2man --version-string $(DEB_VERSION_UPSTREAM) \
                --no-info \
                --name "peewee model generator" \
                debian/peewee/usr/bin/pwiz > \
                debian/peewee/usr/share/man/man1/pwiz.1
	cp docs/build/man/peewee.1 debian/peewee/usr/share/man/man1/

## peewee 3.13.1+dfsg

=== debian/changelog ===
peewee (3.13.1+dfsg-0~mx19+1) stable; urgency=medium

  *Debianization of upstream release for MX-19.

 -- ”SwampRabbit” <maintainer@mepiscommunity.org>  Wed, 29 Jan 2019 21:02:05 -0400

=== debian/control ===
--- 
+++ 
@@ -1,41 +1,25 @@
 Source: peewee
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
+Maintainer: SwampRabbit <maintainer@mepiscommunity.org>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Section: python
 Priority: optional
-Build-Depends: cython,
-               cython3,
-               debhelper (>= 9),
+Build-Depends: cython3,
+               debhelper (>= 11),
                dh-python,
                libsqlite3-dev,
+               libsqlcipher-dev,
                help2man,
-               python-all-dev (>= 2.6.6-3),
-               python-pytest,
-               python-setuptools,
                python3-all-dev,
                python3-pytest,
                python3-setuptools,
+               python3-psycopg2,
                python3-sphinx,
+               python3-apsw,
+               python3-flask,
 Standards-Version: 4.2.0
 Homepage: https://github.com/coleifer/peewee/
 Vcs-Git: https://salsa.debian.org/python-team/modules/peewee.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/peewee
-
-Package: python-peewee
-Architecture: any
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
-Recommends: python-psycopg2, python-mysqldb | python-pymysql, python-peewee-doc
-Description: Simple ORM for PostgreSQL, MySQL and SQLite (Python 2)
- Peewee is a simple and small ORM. It has few (but expressive)
- concepts, making it easy to learn and intuitive to use.
- .
-   * A small, expressive ORM
-   * Written in python with support for versions 2.6+ and 3.2+.
-   * built-in support for sqlite, mysql and postgresql numerous
-     extensions available (postgres hstore/json/arrays, sqlite
-     full-text-search, schema migrations, and much more).
- .
- This is the Python 2 package.
 
 Package: python3-peewee
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,14 @@
 #!/usr/bin/make -f
+# See debhelper(7) (uncomment to enable)
+# output every command that modifies files on the build system.
+#export DH_VERBOSE = 1
 
 include /usr/share/dpkg/pkg-info.mk
 
-PYVERSIONS=$(shell pyversions -i)
-PY3VERSIONS=$(shell py3versions -i)
+export PYBUILD_NAME=peewee
 
-export PYBUILD_NAME=peewee
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build
@@ -16,9 +17,6 @@
 
 override_dh_install:
 	dh_install
-	# Remove the python 2 binaries
-	rm debian/python-peewee/usr/bin/pwiz.py
-
 	mkdir -p debian/peewee/usr/bin/
 	mv debian/python3-peewee/usr/bin/pwiz.py \
 	   debian/peewee/usr/bin/pwiz
@@ -31,3 +29,6 @@
                 debian/peewee/usr/bin/pwiz > \
                 debian/peewee/usr/share/man/man1/pwiz.1
 	cp docs/build/man/peewee.1 debian/peewee/usr/share/man/man1/
+
+override_dh_shlibdeps:
+	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info

## peewee 3.13.2

=== debian/changelog ===
peewee (3.13.2-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- ”SwampRabbit” <maintainer@mepiscommunity.org>  Mon, 20 Apr 2020 09:06:30 -0400

peewee (3.13.1+dfsg-1) unstable; urgency=medium

  * New upstream version (Closes: #952947).
  * d/control:
    * Update B-D: Add python3-psycopg2 (It's required by some unittests).
    * Add Rules-Requires-Root: no.
    * Bump Standards-Version to 4.5.0 (no changes needed).
    * Change compat level to 12.
  * d/python3-peewee.pyremove: Remove peewee_test.db.
  * d/peewee.lintian-overrides: Ignore "cannot adjust line" warning on
    source code examples.
  * d/upstream/metadata: Add common upstream URLs.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Thu, 05 Mar 2020 14:45:03 +0100

peewee (3.7.0+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Andrey Rahmatullin ]
  * Drop Python 2 support.

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 10 Aug 2019 20:15:33 +0500

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,20 @@
 Source: peewee
-Maintainer: SwampRabbit <maintainer@mepiscommunity.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
 XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Section: python
 Priority: optional
+Rules-Requires-Root: no
 Build-Depends: cython3,
-               debhelper (>= 11),
+               debhelper-compat (= 12),
                dh-python,
                libsqlite3-dev,
-               libsqlcipher-dev,
                help2man,
                python3-all-dev,
                python3-pytest,
                python3-setuptools,
+               python3-sphinx,
                python3-psycopg2,
-               python3-sphinx,
-               python3-apsw,
-               python3-flask,
-Standards-Version: 4.2.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/coleifer/peewee/
 Vcs-Git: https://salsa.debian.org/python-team/modules/peewee.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/peewee

## peewee 3.13.3

=== debian/changelog ===
peewee (3.13.3-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.
  * Control: added python3-gevent as recommend per developer website.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 26 Aug 2020 21:20:54 -0400

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
 Package: python3-peewee
 Architecture: any
 Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
-Recommends: python3-psycopg2, python3-mysqldb | python3-pymysql, python-peewee-doc
+Recommends: python3-psycopg2, python3-mysqldb | python3-pymysql, python-peewee-doc, python3-gevent
 Description: Simple ORM for PostgreSQL, MySQL and SQLite (Python 3)
  Peewee is a simple and small ORM. It has few (but expressive)
  concepts, making it easy to learn and intuitive to use.

=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,13 @@
 #!/usr/bin/make -f
 # See debhelper(7) (uncomment to enable)
 # output every command that modifies files on the build system.
-#export DH_VERBOSE = 1
+export DH_VERBOSE = 1
 
 include /usr/share/dpkg/pkg-info.mk
 
 export PYBUILD_NAME=peewee
-
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build
@@ -29,6 +28,3 @@
                 debian/peewee/usr/bin/pwiz > \
                 debian/peewee/usr/share/man/man1/pwiz.1
 	cp docs/build/man/peewee.1 debian/peewee/usr/share/man/man1/
-
-override_dh_shlibdeps:
-	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info

## peewee 3.14.0+dfsg

=== debian/changelog ===
peewee (3.14.0+dfsg-2) unstable; urgency=medium

  * Run autopkgtest unittests verbosely.
  * No longer explicitly copy peewee_test.db into $AUTOPKGTEST_TMP; this file
    is autogenerated during tests and does not exist in the source package.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Tue, 29 Dec 2020 20:59:56 -0500

peewee (3.14.0+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Nicholas D Steeves ]
  * New upstream version 3.14.0+dfsg.
  * Migrate to debhelper-compat 13.
  * control:
    - Fix every incidence of capitalization-error-in-description that lintian
    complains about.
    - Drop references to Python 2.x.
    - Add grammatically required commas in Descriptions wherever they are
    missing.
  * Add 0001-fix-typos-in-docs.patch.
  * gbp.conf: Enable pristine-tar, which must always be used per team
    policy.
  * Activate nonsuperficial autopkgtests, and activate
    autopkgtest-pkg-python (Closes: #976692).
  * Declare Standards-Version 4.5.1 (no changes required).

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sat, 26 Dec 2020 10:50:00 -0500

## peewee 3.14.1+dfsg

=== debian/changelog ===
peewee (3.14.1+dfsg-1) unstable; urgency=medium

  * New upstream bug fix release 3.14.1, which also includes two commits that
    do not affect Debian (0e1b22af and d81867ab):
    - 7e68c789 Preserve and handle CHECK() constraints with sqlite migrator.
    - b34e6015 Improvements to foreign-key lazy-load - thanks @conqp
    - 8a21f803 Fix for failing crdb test.
    - aab10e6c Fix for column->model mapping in model-select from subquery +
      join.
    - ad5a3388 Add stddev aggregate to sqlite-udf.
    - 0e1b22af Attempt to run cockroachdb on CI.
    - d81867ab First stab at peewee on gh actions.
    - 798b2869 Fix `create_index()` method for DataSet.
    - da9b9418 Strip quote-marks and parentheses from colnames returned by
      cursor.
    - ebe3ad50 Delegate to the ForeignKeyField's db_value() method when
      converting models.
    - 87a63848 Comment on Model.__sql__ referencing issue #2304
    - efb41a94 Add test-case for jsonb contains within list.

 -- Nicholas D Steeves <sten@debian.org>  Mon, 01 Mar 2021 07:02:41 -0500

=== debian/control ===
Source: peewee
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
Section: python
Priority: optional
Rules-Requires-Root: no
Build-Depends: cython3,
               debhelper-compat (= 13),
               dh-python,
               libsqlite3-dev,
               help2man,
               python3-all-dev,
               python3-pytest,
               python3-setuptools,
               python3-sphinx,
               python3-psycopg2,
Standards-Version: 4.5.1
Homepage: https://github.com/coleifer/peewee/
Testsuite: autopkgtest-pkg-python
Vcs-Git: https://salsa.debian.org/python-team/packages/peewee.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/peewee

Package: python3-peewee
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Recommends: python3-psycopg2, python3-mysqldb | python3-pymysql, python-peewee-doc
Description: Simple ORM for PostgreSQL, MySQL and SQLite (Python 3)
 Peewee is a simple and small ORM. It has few (but expressive)
 concepts, making it easy to learn and intuitive to use.
 .
   * A small, expressive ORM
   * Written in Python with support for version 3.2+.
   * Built-in support for sqlite, MySQL, and PostgreSQL. Numerous
     extensions are available (postgres hstore/json/arrays, sqlite
     full-text-search, schema migrations, and much more).
 .
 This is the Python 3 package.

Package: peewee
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-peewee
Description: Command line Tools for peewee (Python 3)
 Peewee is a simple and small ORM. It has few (but expressive)
 concepts, making it easy to learn and intuitive to use.
 .
   * A small, expressive ORM
   * Written in Python with support for version 3.2+.
   * Built-in support for sqlite, MySQL, and PostgreSQL numerous
     extensions available (postgres hstore/json/arrays, sqlite
     full-text-search, schema migrations, and much more).

Package: python-peewee-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Documentation pyhton peewee simple ORM
 Peewee is a simple and small ORM. It has few (but expressive)
 concepts, making it easy to learn and intuitive to use.
 .
   * A small, expressive ORM
   * Written in Python with support for version 3.2+.
   * Built-in support for sqlite, MySQL, and PostgreSQL. Numerous
     extensions are available (postgres hstore/json/arrays, sqlite
     full-text-search, schema migrations, and much more).
 .
 This package contains HTML documentation for provided module.

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,10 @@
 #!/usr/bin/make -f
-# See debhelper(7) (uncomment to enable)
-# output every command that modifies files on the build system.
-export DH_VERBOSE = 1
 
 include /usr/share/dpkg/pkg-info.mk
 
 export PYBUILD_NAME=peewee
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build

## peewee 3.14.8%2Bdfsg

=== debian/watch ===
# please also check https://pypi.debian.net/peewee/watch
version=3
opts=dversionmangle=s/\+dfsg$//,repacksuffix=+dfsg \
  https://github.com/coleifer/peewee/releases .*/v?(\d\S+)\.tar\.gz

## peewee 3.14.8+dfsg

=== debian/changelog ===
peewee (3.14.8+dfsg-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 21:43:05 +0000

peewee (3.14.8+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add lintian override for python-traceback-in-manpage, because this
    appears to be a false-positive case triggered by the detailed examples
    and not a traceback caused by failing Python-generated man page).
  * copyright: Update location for tests/libs/mock.py.

 -- Nicholas D Steeves <sten@debian.org>  Tue, 21 Dec 2021 13:35:14 -0500

peewee (3.14.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Nicholas D Steeves <sten@debian.org>  Sun, 29 Aug 2021 10:11:24 -0400

=== debian/tests/control ===
Tests: unittests
Depends: python3-all, python3-pytest, python3-peewee, python3-psycopg2

## peewee 3.14.10+dfsg

=== debian/changelog ===
peewee (3.14.10+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Demote python3-peewee's Recommends python-peewee-doc to a Suggests
    (Closes: #1002293).

 -- Nicholas D Steeves <sten@debian.org>  Wed, 16 Mar 2022 11:52:19 -0400

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,8 @@
 Package: python3-peewee
 Architecture: any
 Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
-Recommends: python3-psycopg2, python3-mysqldb | python3-pymysql, python-peewee-doc
+Recommends: python3-psycopg2, python3-mysqldb | python3-pymysql
+Suggests: python-peewee-doc
 Description: Simple ORM for PostgreSQL, MySQL and SQLite (Python 3)
  Peewee is a simple and small ORM. It has few (but expressive)
  concepts, making it easy to learn and intuitive to use.

## peewee 3.17.0%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,13 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export PYBUILD_NAME=peewee
+
+DPKG_EXPORT_BUILDFLAGS = 1
+
+include /usr/share/dpkg/buildflags.mk
 include /usr/share/dpkg/pkg-info.mk
 
-export PYBUILD_NAME=peewee
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

## peewee 3.17.0+dfsg

=== debian/changelog ===
peewee (3.17.0+dfsg-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 11:46:12 +0000

peewee (3.17.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #1056829, #978683)
  * d/watch: fix, migrate to v4 and to git mode.
  * d/control: add python3-sphinx-rtd-theme as a B-D.
  * d/control: use autopkgtest-pkg-pybuild to standardize autopkgtests.
  * fix lintian override.
  * d/rules: build with hardening=+all.
  * d/control: Standards-Version update to 4.6.2. No changes required.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sat, 06 Jan 2024 20:50:38 -0500

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,11 @@
                python3-pytest,
                python3-setuptools,
                python3-sphinx,
+               python3-sphinx-rtd-theme,
                python3-psycopg2,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/coleifer/peewee/
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Vcs-Git: https://salsa.debian.org/python-team/packages/peewee.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/peewee

=== debian/watch ===
version=4
opts="mode=git, repacksuffix=+dfsg, dversionmangle=s/\+dfsg//,repack" \
https://github.com/coleifer/peewee.git \
refs/tags/([\d\.]+)

## peewee 3.17.5+dfsg

=== debian/changelog ===
peewee (3.17.5+dfsg-1) unstable; urgency=medium

  * Team upload
  * [358e508] New upstream version 3.17.5+dfsg
  * [554b8d8] d/*: Running wrap-and-sort -ast
  * [bc28ea9] d/control: Add new build-dependency added by upstream

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 25 May 2024 16:26:42 +0200

peewee (3.17.3+dfsg-1) unstable; urgency=medium

  * Team upload
  * [f8a272a] d/gbp.conf: Update to some more defaults
  * [568b676] d/watch: Reorder content, add compression and pgpmode
  * [e49320f] New upstream version 3.17.3+dfsg
    (Closes: #1060187)
  * [6520ea8] d/rules: Add target override_dh_clean
    (Closes: #1048329)
  * [b5b1221] d/u/metadata: Add field Documentation
  * [1d85c4a] autopkgtest: Re-add folder debian/tests
  * [d11b50e] d/control: Update Standards-Version to 4.7.0
    No further changes needed.
  * [93e951d] d/copyright: Update upstream year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 05 May 2024 19:56:40 +0200

## peewee 3.17.6+dfsg

=== debian/changelog ===
peewee (3.17.6+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.17.6+dfsg

 -- Kalyani Kenekar <kalyaniknkr@gmail.com>  Sun, 14 Jul 2024 13:42:56 +0530

## peewee 3.17.7%2Bdfsg

=== debian/changelog ===
peewee (3.17.7+dfsg-1build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 15:12:32 +0000

peewee (3.17.7+dfsg-1build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:33:57 +0100

peewee (3.17.7+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Nicholas D Steeves <sten@debian.org>  Thu, 31 Oct 2024 16:56:15 -0400

## peewee 3.17.7+dfsg

=== debian/changelog ===
peewee (3.17.7+dfsg-1build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:20:25 +0000

=== debian/tests/control ===
Tests: unittests
Depends:
 python3-all,
 python3-psycopg2,
 python3-pytest,
 @,
Restrictions:
 allow-stderr

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
	  pgpmode=none, \
      repacksuffix=+dfsg, \
	  dversionmangle=s/\+dfsg//,repack" \
https://github.com/coleifer/peewee.git \
      refs/tags/([\d\.]+)

## peewee 3.18.2+dfsg

=== debian/changelog ===
peewee (3.18.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Remove long check for newer Cython (closes: #1119757).

 -- Colin Watson <cjwatson@debian.org>  Sun, 02 Nov 2025 22:19:03 +0000

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,10 @@
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+
+override_dh_clean:
+	dh_clean
+	rm -rf .mypy_cache docs/build
 
 override_dh_auto_build:
 	dh_auto_build

## peewee 3.18.3+dfsg

=== debian/changelog ===
peewee (3.18.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use dh-sequence-python3 and dh-sequence-sphinxdoc.
  * Simplify some debhelper overrides.
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.
  * Remove essentially-duplicated autopkgtest.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Mon, 01 Dec 2025 12:54:47 +0000

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,25 @@
 Source: peewee
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
+Uploaders:
+ Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
 Section: python
 Priority: optional
-Rules-Requires-Root: no
-Build-Depends: cython3,
-               debhelper-compat (= 13),
-               dh-python,
-               libsqlite3-dev,
-               help2man,
-               python3-all-dev,
-               python3-pytest,
-               python3-setuptools,
-               python3-sphinx,
-               python3-sphinx-rtd-theme,
-               python3-psycopg2,
-Standards-Version: 4.6.2
+Build-Depends:
+ cython3,
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
+ help2man,
+ libsqlite3-dev,
+ pybuild-plugin-pyproject,
+ python3-all-dev,
+ python3-build,
+ python3-psycopg2,
+ python3-pytest,
+ python3-setuptools,
+ python3-sphinx,
+ python3-sphinx-rtd-theme,
+Standards-Version: 4.7.2
 Homepage: https://github.com/coleifer/peewee/
 Testsuite: autopkgtest-pkg-pybuild
 Vcs-Git: https://salsa.debian.org/python-team/packages/peewee.git
@@ -23,9 +27,15 @@
 
 Package: python3-peewee
 Architecture: any
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
-Recommends: python3-psycopg2, python3-mysqldb | python3-pymysql
-Suggests: python-peewee-doc
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends},
+Recommends:
+ python3-mysqldb | python3-pymysql,
+ python3-psycopg2,
+Suggests:
+ python-peewee-doc,
 Description: Simple ORM for PostgreSQL, MySQL and SQLite (Python 3)
  Peewee is a simple and small ORM. It has few (but expressive)
  concepts, making it easy to learn and intuitive to use.
@@ -40,7 +50,10 @@
 
 Package: peewee
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-peewee
+Depends:
+ python3-peewee,
+ ${misc:Depends},
+ ${python3:Depends},
 Description: Command line Tools for peewee (Python 3)
  Peewee is a simple and small ORM. It has few (but expressive)
  concepts, making it easy to learn and intuitive to use.
@@ -55,7 +68,9 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
 Description: Documentation pyhton peewee simple ORM
  Peewee is a simple and small ORM. It has few (but expressive)
  concepts, making it easy to learn and intuitive to use.

=== debian/rules ===
--- 
+++ 
@@ -9,19 +9,13 @@
 include /usr/share/dpkg/pkg-info.mk
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
-override_dh_clean:
-	dh_clean
-	rm -rf .mypy_cache docs/build
-
-override_dh_auto_build:
-	dh_auto_build
+execute_after_dh_auto_build:
 	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/ docs/build/html # HTML generator
 	PYTHONPATH=. python3 -m sphinx -N -bman docs/ docs/build/man # Manpage generator
 
-override_dh_install:
-	dh_install
+execute_after_dh_install:
 	mkdir -p debian/peewee/usr/bin/
 	mv debian/python3-peewee/usr/bin/pwiz.py \
 	   debian/peewee/usr/bin/pwiz

## peewee migrate-0.0.4

=== requirements.txt ===
peewee      == 2.4.3
click       == 3.3
